---
title: Document.origin
slug: Web/API/Document/origin
tags:
  - API
  - DOM
  - Document
  - Experimental
  - Interface
  - Property
  - Read-only
---
<div>{{APIRef("DOM")}}{{Obsolete_header}}</div>

<div class="notecard note">
<p>Use <code>self.origin</code> instead.</p>
</div>

<p>The <strong><code>Document.origin</code></strong> read-only property returns the document's origin. In most cases, this property is equivalent to <code>document.defaultView.location.origin</code>.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate">var <var>origin</var> = <var>document</var>.origin;</pre>

<h2 id="Examples">Examples</h2>

<pre class="brush: js notranslate">var origin = document.origin;
// On this page, returns:'https://developer.mozilla.org'

var origin = document.origin;
// On "about:blank", returns:'null'

var origin = document.origin;
// On "data:text/html,&lt;b&gt;foo&lt;/b&gt;", returns:'null'
</pre>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div>{{Compat("api.Document.origin")}}</div>

<h2 id="See_also">See also</h2>

<ul>
 <li>The {{domxref("URLUtils.origin")}} property.</li>
</ul>
